package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsOperationSendconfig;
import com.ruoyi.system.domain.vo.ZsOperationSendconfigVo;
import com.ruoyi.system.domain.bo.ZsOperationSendconfigBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 发送信息配置Service接口
 *
 * @author 王强
 * @date 2025-05-09
 */
public interface IZsOperationSendconfigService {

    /**
     * 查询发送信息配置
     */
    ZsOperationSendconfigVo queryById(Long id);

    /**
     * 查询发送信息配置列表
     */
    TableDataInfo<ZsOperationSendconfigVo> queryPageList(ZsOperationSendconfigBo bo, PageQuery pageQuery);

    /**
     * 查询发送信息配置列表
     */
    List<ZsOperationSendconfigVo> queryList(ZsOperationSendconfigBo bo);

    /**
     * 新增发送信息配置
     */
    Boolean insertByBo(ZsOperationSendconfigBo bo);

    /**
     * 修改发送信息配置
     */
    Boolean updateByBo(ZsOperationSendconfigBo bo);

    /**
     * 校验并批量删除发送信息配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
